@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@500&display=swap');
* {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
      scroll-behavior: smooth;
}

body {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      background-color: #ebebeb;
      font-family: 'Noto Sans', sans-serif;
}

.welcome{
      font-style: normal;
      font-weight: 200;
      padding-bottom: 20px;
      margin-bottom: 20px;
}

.title{
      margin: 20px 0;
      margin-bottom: 30px;
}

.main{
      border: 8px,solid #dddddd;
      border-radius: 24px;
      overflow: hidden;
      margin-bottom: 20px;
}

.name {
      display: flex;
      font-size: 32px;
      font-weight: 700;
      padding: 8px 16px;
      background-color: #ebebeb;

}

.name > span {
      color: #bbb;
}

.name-input {
      font-size: 24px;
      font-weight: 700;
      color: #2d2d2d;
      flex-grow: 1;
      border: none;
      margin: 0px 12px;
      outline: none;
      background-color: #ebebeb;
      text-align: center;
}

.message-container {
      display: flex;
      flex-direction: column;
      width: 350px;
      height: 350px;
      overflow-x: hidden;
      overflow-y: scroll;
      scroll-behavior: auto;
}
.message-left {
      border-radius: 20px 20px 20px 0px;
      align-self: flex-start;
      background-color: #fff;
      box-shadow: -2px 2px 4px #dcdcdc;

}

.message-right {
      border-radius: 20px 20px 0 20px;
      align-self: flex-end;
      background-color: #2d2d2d;
      box-shadow: 2px 2px 4px #dcdcdc;
      color: #f6f6f6;
}


.message-feedback {
      font-style: italic;
      font-size: 14px;
      padding: 16px 16px 0;
      color: #2d2d2d;
      text-align: center;

}

.message-form {
      display: flex;
      justify-content: space-between;
      width: 350px;
}
.message-input{
      flex-grow: 1;
      height: 48px;
      font-size: 16px;
      border: none;
      outline: none;
      padding: 0 12px;
      background-color: #fff;
}

.message-left, .message-right{
      list-style: none;
      padding: 8px, 12px;
      margin: 12px;
      max-width: 250px;
      font-size: 18px;
      word-wrap: break-word;
}

.message-left{
      border-radius: 10px 10px 10px 5px;
      align-self: flex-start;
      background-color: #fff;
      box-shadow: -2px 2px 4px #dcdcdc;
}

.message-right{
      border-radius: 10px 100px 5px 10px;
      align-self: flex-end;
      background-color: #2d2d2d;
      box-shadow: 2px 2px 4px #dcdcdc;
      color:#f6f6f6
}

.message-left > p > span, .message-right > p > span {
      display: block;
      font-style: italic;
      font-size: 12px;
      margin-top: 4px;
}

.send-button{
      height: 48px;
      font-size: 16px;
      border: none;
      padding: 0px 20px;
      outline: none;
      background-color: #fff;
      cursor: pointer;
}
.v-divider {
      height: 48px;
      width: 2px;
      background-color: #f6f6f6;
      
}
.client-total {
      margin: 20px 0;
      color: #7e7e7e;
}